SAGA-SD(1)

NAME
saga-sd - performs Service Discovery queries via SAGA

SYNOPSIS
saga-sd [OPTIONS]

DESCRIPTION

Perform a Service Discovery query using three optional filters. Each filter should be enclosed in double quotes to avoid shell expansion. Each of the filter strings uses a SQL92 syntax as if it were part of a WHERE clause acting to select from a single table. Multi-valued attributes are treated as a set of values. Only the following operators are permitted in expressions: IN, LIKE, AND, OR, NOT, =, >=, >, <=, <, <> In addition: Column names,
             parentheses,
             column values as single quoted strings,
             numeric values
             and comma are permitted.

For a multi-valued attribute, the name of the attribute MUST be preceded by the keyword ALL or ANY unless comparison with a set literal is intended. For each part of the expression, the attribute name MUST precede the literal value. Results will be returned in a random order.

OPTIONS

--sf FILTER
    only services matching this service FILTER will be returned. The default is no filtering on service attributes.

--df FILTER
    only services with a data section matching this data FILTER will be returned. The default is no filtering on service data.

--af FILTER
    only services matching this authorization FILTER will be returned. The default is derived from the user's SAGA context.

-n NUM --count NUM
    the NUM of services to display. The default is unlimited.

--sa
    display service attributes

--da
    display data attributes

--url URL
    the URL of the information system to use. This overrides any environment variables.

-h, --help
    display this help and exit

Examples

saga-sd --sf "Site='RAL'" -n 1
    Return the URL of the first service matching from the site RAL, where you have authorization to access the service

saga-sd --sf "Site IN ('INFN-CNAF', 'RAL-LCG2')" --af "" --sa
    Return details of all services at INFN-CNAF and RAL-LCG2

REPORTING BUGS
Report bugs to <sd-support@cern.ch>.

COPYRIGHT
Copyright (c) Members of the EGEE Collaboration. 2009.
See http://www.eu-egee.org/partners/ for details on the copyright holders.